package org.start.player.bossbar;

import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

public class boss_bar_runs {
    private static JavaPlugin plugin;
    public boss_bar_runs(JavaPlugin plugin) {
        boss_bar_runs.plugin = plugin;
        plugin.getLogger().info("进度条 类初始化已完成");
    }

    private static manger progressManager;
    private static data teamProgressData;

    public static void main_runs_() {
        // 初始化进度条管理器和队伍进度数据
        progressManager = new manger(plugin);
        teamProgressData = new data(progressManager);
    }

    // 玩家加入队伍时，创建并显示进度条
    public static void onPlayerJoinTeam(Player player, String team) {
        progressManager.addPlayerProgress(player, team); // 为玩家添加进度条
    }

    // 玩家退出队伍时，移除进度条
    public static void onPlayerLeaveTeam(Player player) {
        progressManager.removePlayerProgress(player); // 移除玩家进度条
    }

    // 玩家进攻进度变化时，更新红队进度条
    public static void onRedTeamProgressChanged(double newProgress) {
        teamProgressData.setRedTeamProgress(newProgress); // 更新红队进攻进度
    }
}
