package org.start.player.main.model;

import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.start.data.TeamManager;

public class shi_fo_at {
    static Location start = def_path.getCaptureStart();
    static Location end = def_path.getCaptureEnd();


    // 判断玩家是否在占领区域内
    public static boolean isPlayerInRegion(Player player) {

        Location playerLocation = player.getLocation();

        double minX = Math.min(start.getX(), end.getX());
        double maxX = Math.max(start.getX(), end.getX());

        double minY = Math.min(start.getY(), end.getY());
        double maxY = Math.max(start.getY(), end.getY());

        double minZ = Math.min(start.getZ(), end.getZ());
        double maxZ = Math.max(start.getZ(), end.getZ());

        double playerX = playerLocation.getX();
        double playerY = playerLocation.getY();
        double playerZ = playerLocation.getZ();

        // 判断玩家是否在区域内
        boolean b = (playerX >= minX && playerX <= maxX) &&
                    (playerY >= minY && playerY <= maxY) &&
                    (playerZ >= minZ && playerZ <= maxZ);


        String teamName = TeamManager.getPlayer(player.getName());
        boolean r = "red".equalsIgnoreCase(teamName);
        if (b && r){
            return true;
        }
        return false;
    }
}
